Bug 207145 - [UPDATE] sysutils/mcelog to version 133
Summary: [UPDATE] sysutils/mcelog to version 133
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-02-13 01:47 UTC by Ultima
Modified: 2016-03-08 06:54 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback+
pi: maintainer-feedback+


Attachments
mcelog.diff (22.83 KB, patch)
2016-02-13 01:47 UTC, Ultima
Ultima1252: maintainer-approval? (jdc)
Details | Diff
patch-to-v133 (23.36 KB, patch)
2016-03-06 15:15 UTC, Kurt Jaeger
pi: maintainer-approval? (jdc)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2016-02-13 01:47:07 UTC
Created attachment 166921 [details]
mcelog.diff

Had some newer cpus that gave some mca errors and required mcelog. The current version was not supported by my cpu so I decided to upgrade it to the newest version.

 The newest version has many new additions, unfortunately most of them are for linux and not compatible with freebsd. This also breaks some functions and gives several warnings on compile. Despite this, it appears to work as the old version did with newer hardware.

 * Updated to version 131
 * Added version prefix
 * Switched to github over master sites
 * Removed patch_strip
 * Changed hard LDFLAGS to include
 * Fixed version in source
 * Updated distfile
 * Regenerated patchfiles for portlint
 * Modified several patchfiles, adapted to new version

portlint:
sysutils/mcelog
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: /usr/local/poudriere/ports/test/sysutils/mcelog/pkg-message: possible use of absolute pathname "/path/to/log".
0 fatal errors and 2 warnings found.

poudriere bulk -t -C:
102amd64: Success
102i386: Success
93amd64: Success
93i386: Success

 Have built on my system running head r295086 arch x86_64. The binary appears to work fine, however extra testing maybe required.
Comment 1 Jeremy Chadwick 2016-02-13 02:01:35 UTC
Adding John Baldwin for an additional set of eyes and testing, time permitting.
Comment 2 Kurt Jaeger freebsd_committer 2016-02-13 16:38:23 UTC
Testbuilds are fine.
Comment 3 Kurt Jaeger freebsd_committer 2016-03-06 15:15:46 UTC
Created attachment 167767 [details]
patch-to-v133
Comment 4 Kurt Jaeger freebsd_committer 2016-03-06 15:16:55 UTC
133 was released a few days ago. Testbuilds on 11a, 10.2i are fine.
Comment 5 Kurt Jaeger freebsd_committer 2016-03-08 06:51:18 UTC
submitter will become maintainer.
Comment 6 commit-hook freebsd_committer 2016-03-08 06:53:48 UTC
A commit references this bug:

Author: pi
Date: Tue Mar  8 06:53:12 UTC 2016
New revision: 410604
URL: https://svnweb.freebsd.org/changeset/ports/410604

Log:
  sysutils/mcelog: 1.0pre3 -> 133

  - Added version prefix
  - Switched to github over master sites
  - Removed patch_strip
  - Changed hard LDFLAGS to include
  - Fixed version in source
  - Updated distfile
  - Regenerated patchfiles for portlint
  - Modified several patchfiles, adapted to new version
  - submitter becomes maintainer

  PR:		207145
  Submitted by:	Ultima1252@gmail.com
  Approved by:	Jeremy Chadwick <jdc@koitsu.org> (maintainer)

Changes:
  head/sysutils/mcelog/Makefile
  head/sysutils/mcelog/distinfo
  head/sysutils/mcelog/files/patch-Makefile
  head/sysutils/mcelog/files/patch-cache.c
  head/sysutils/mcelog/files/patch-client.c
  head/sysutils/mcelog/files/patch-eventloop.c
  head/sysutils/mcelog/files/patch-intel.c
  head/sysutils/mcelog/files/patch-mcelog.c
  head/sysutils/mcelog/files/patch-mcelog.h
  head/sysutils/mcelog/files/patch-memdb.c
  head/sysutils/mcelog/files/patch-p4.c
  head/sysutils/mcelog/files/patch-server.c
  head/sysutils/mcelog/files/patch-tsc.c
Comment 7 Kurt Jaeger freebsd_committer 2016-03-08 06:54:22 UTC
Committed, thanks!